Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Class TaggedComponentSeqHelper

    java.lang.Object
      |
      +--org.omg.IOP.TaggedComponentSeqHelper

public class TaggedComponentSeqHelper
extends java.lang.Object

Helper class for : TaggedComponentSeq

Author:
  OpenORB Compiler

Constructor Summary
`TaggedComponentSeqHelper()`

Method Summary
`static TaggedComponent[]` | `extract(Any a)` Extract TaggedComponentSeq from an any
`static java.lang.String` | `id()` Return the TaggedComponentSeq IDL ID
`static void` | `insert(Any a, TaggedComponent[] t)` Insert TaggedComponentSeq into an any
`static TaggedComponent[]` | `read(InputStream istream)` Read TaggedComponentSeq from a marshalled stream
`static TypeCode` | `type()` Return the TaggedComponentSeq TypeCode
`static void` | `write(OutputStream ostream, TaggedComponent[] value)` Write TaggedComponentSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaggedComponentSeqHelper

    public TaggedComponentSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TaggedComponent[] t)

  Insert TaggedComponentSeq into an any
  Parameters:
    `a` - an any
    `t` - TaggedComponentSeq value

### extract

    public static TaggedComponent[] extract(Any a)

  Extract TaggedComponentSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TaggedComponentSeq value

### type

    public static TypeCode type()

  Return the TaggedComponentSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TaggedComponentSeq IDL ID
  Returns:
    an ID

### read

    public static TaggedComponent[] read(InputStream istream)

  Read TaggedComponentSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TaggedComponentSeq value

### write

    public static void write(OutputStream ostream,
                             TaggedComponent[] value)

  Write TaggedComponentSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TaggedComponentSeq value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD